Katello - Bug #7210

Creating certs for capsules fails.
08/21/2014 12:00 PM - Ivan Necas

Status: Closed
Priority: Normal
Assignee: Ivan Necas
Category: Foreman Proxy Content
Target version: Katello 2.0
Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1132592 Red Hat JIRA:
Pull request: https://github.com/Katello/katello-installer
/pull/107
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1132592

Description of problem:
Users cannot create certs for capsules.

Version-Release number of selected component (if applicable):

Satellite/Satellite-6.0.4-RHEL-6-20140820.1
How reproducible:

Steps to Reproduce:

1. capsule-certs-generate -v --capsule-fqdn geblade6.rhq.lab.eng.bos.redhat.com --certs-tar

2. View results

Actual results:

[ERROR 2014-08-21 10:27:49 main] Repeating errors encountered during run:

[ERROR 2014-08-21 10:27:49 main] Could not find dependency Package[pulp-server] for File[/etc/pki/pulp/nodes] at

/usr/share/katello-installer/modules/certs/manifests/pulp_parent.pp:61

[DEBUG 2014-08-21 10:27:49 main] Cleaning /etc/katello-installer/d20140821-15268-16y00m;

[DEBUG 2014-08-21 10:27:49 main] Cleaning /tmp/default_values.yaml

Expected results:
Cert generates.

Additional info:

Associated revisions

Revision cd665865 - 08/21/2014 12:03 PM - Ivan Necas

Fixes #7210 - make sure the Package['pulp-server' is defined

Otherwise, capsule-certs-generate is broken

Revision 1¢71eb35 - 08/21/2014 12:23 PM - lvan Necas
Merge pull request #31 from iNecas/issue/7210

Fixes #7210 - make sure the Package['pulp-server' is defined

Revision 2aaf5e21 - 08/21/2014 01:04 PM - Justin Sherrill

fixes #7210 - make sure the Package['pulp-server'] is defined

Revision 3217237 - 08/22/2014 08:25 AM - lvan Necas
Merge pull request #107 from jlsherrill/7210
https://bugzilla.redhat.com/show_bug.cgi?id=1132592

fixes #7210 - make sure the Package['pulp-server'] is defined

History

#1 - 08/21/2014 01:04 PM - The Foreman Bot

- Target version set to 63

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/katello-installer/pull/107 added
- Pull request deleted ()

#2 - 08/21/2014 01:48 PM - Eric Helms

- Target version changed from 63 to 55

#3 - 08/22/2014 09:01 AM - Justin Sherrill
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello-installer|2aaf5e2127 4ei17ad2 2e20a2512f.

#4 - 08/22/2014 09:30 AM - Eric Helms

- translation missing: en.field_release set to 13

#5 - 08/25/2014 08:34 AM - Eric Helms

- Triaged changed from No to Yes
